/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef loa_h
#define loa_h

typedef struct{
    double x;
    double y;
}loa_point_t;

typedef enum{
    LOA_GOTO,
    LOA_LINE,
    LOA_CURVE,
    LOA_CLOSE
}loa_segment_type_t;

typedef struct{
    loa_segment_type_t type;
    int point;
}loa_segment_t;

typedef struct{
    int segment;
    int segment_count;
    int point_count;
}loa_path_t;

typedef enum{
    LOA_FILLED,
    LOA_OUTLINE,
    LOA_JUSTLINE
}loa_shape_style_t;

#endif /* loa_h */
