/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef jxl_cairo_h
#define jxl_cairo_h

extern "C"{
#include <cairo.h>
}

#include "image_bundle.h"

namespace jxl {

cairo_surface_t *surface_from_image_bundle(const ImageBundle &ib);

}

#endif /* jxl_cairo_h */
