/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef cebra_h
#define cebra_h

#include "stddef.h"
#include "stdint.h"

typedef int(*cebra_func_t)(void *userdata, int level, int type, const uint8_t *data, size_t len);

int cebra_parse(int level, const uint8_t *data, size_t len, cebra_func_t userfunc, void *userdata);

#endif /* cebra_h */
