/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef tti7_h
#define tti7_h

typedef enum{
    TTI7_NONE = 0,
    TTI7_CT,
    TTI7_DE,
    TTI7_OL,
    TTI7_PN,
    TTI7_PS
}tti7_line_t;

typedef struct{
    const char *str;
    int len;
}str_t;

typedef int(*tti7_line_func_t)(void *userdata,tti7_line_t, int num, str_t *);

int tti7_parse(const char *str, int len, tti7_line_func_t, void *);

#endif /* tti7_h */
