/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef sixeldec_h
#define sixeldec_h

#include <stdint.h>

typedef uint32_t sixel_color_t;
typedef struct _sixel_decoder_t sixel_decoder_t;
typedef void(*sixel_func_t)(void*,int,int,sixel_color_t,int,int);

sixel_decoder_t *sixel_decoder_new(sixel_func_t, void *userdata);
void sixel_decoder_free(sixel_decoder_t *dec);
void sixel_decoder_data(sixel_decoder_t *dec, int ch);

#endif /* sixeldec_h */
